System::Group -

# class System::Group

- System::Group
- Reference
- Object

## Overview

Represents a group of users on the host system.

Groups can be retrieved by either group name or their group ID:

    System::Group.find_by name: "staff"
    System::Group.find_by id: "0"

## Extended Modules

- Crystal::System::Group

## Defined in:

## Class Method Summary

- .find_by(*, name : String)

  Returns the group associated with the given name.

- .find_by(*, id : String)

  Returns the group associated with the given ID.

- .find_by?(*, name : String)

  Returns the group associated with the given name.

- .find_by?(*, id : String)

  Returns the group associated with the given ID.

## Instance Method Summary

- #==(other : self)
- #hash(hasher)
- #id : String

  The group's identifier.

- #name : String

  The group's name.

- #to_s(io)

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Class Method Detail

def self.find_by(*, name : String) #

Returns the group associated with the given name.

Raises `NotFoundError` if no such group exists.

def self.find_by(*, id : String) #

Returns the group associated with the given ID.

Raises `NotFoundError` if no such group exists.

def self.find_by?(*, name : String) #

Returns the group associated with the given name.

Returns `nil` if no such group exists.

def self.find_by?(*, id : String) #

Returns the group associated with the given ID.

Returns `nil` if no such group exists.

## Instance Method Detail

def ==(other : self) #
def hash(hasher) #
def id : String #

The group's identifier.

def name : String #

The group's name.

def to_s(io) #